HIME rc doesn't assign QT_IM_MODULE, breaks usage in Qt5 application

Bug #1655036 reported by 林博仁(Buo-ren, Lin) on 2017-01-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
im-config (Debian)
Fix Released
Unknown
im-config (Ubuntu)
Undecided
Unassigned
Xenial
Medium
Gunnar Hjalmarsson
Yakkety
Medium
Gunnar Hjalmarsson

Bug Description

[Impact]

Qt5 support for hime is missing. Fix uploaded to yakkety queue; xenial patch attached.

[Test Case]

After the change, this command:

grep platforminputcontexts /usr/share/im-config/data/25_hime.rc

should output:

for IM_CONFIG_MARKER in /usr/lib/*/qt5/plugins/platforminputcontexts/im-hime.so ; do

[Regression Potential]

None.

[Original description]

Currently(in Ubuntu 16.04, may affect other releases) im-config provides a rc for hime input method that doesn't assign QT_IM_MODULE, rendering Qt5-based applications including but not limited to, ReText unable to use input method.

NOTE: hime currently provides Qt5 immodule via hime-qt5-immodule package

## Patch & Workaround ##
insert the following code in /usr/share/im-config/data/25_hime.rc's "if [ "$IM_CONFIG_PHASE" = 1 ]" section, then restart X session

```
# use immodule when available for Qt5
for IM_CONFIG_MARKER in /usr/lib/*/qt5/plugins/platforminputcontexts/im-hime.so \
                        /usr/lib/qt5/plugins/platforminputcontexts/im-hime.so ; do
    if [ -e $IM_CONFIG_MARKER ]; then
        QT_IM_MODULE=hime
        break
    fi
done
```

Upstream tracking issue: https://github.com/hime-ime/hime/issues/558

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: im-config 0.29-1ubuntu12.3
Uname: Linux 4.8.0-pf5-ubuntu-taiwan-autodetected-optimized x86_64
ApportVersion: 2.20.1-0ubuntu2.4
Architecture: amd64
CurrentDesktop: Unity
Date: Mon Jan 9 22:15:57 2017
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=zh_TW:zh_HK:zh
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=zh_TW.UTF-8
 SHELL=/bin/bash
SourcePackage: im-config
UpgradeStatus: No upgrade log present (probably fresh install)

description: updated
Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for your report. This has been fixed in the development release (zesty), but remains to be fixed in xenial and yakkety.

Changed in im-config (Ubuntu):
status: New → Fix Released
Changed in im-config (Ubuntu Yakkety):
importance: Undecided → Medium
status: New → Triaged
Changed in im-config (Debian):
status: Unknown → Fix Released
no longer affects: ubuntu-docs (Ubuntu Yakkety)
no longer affects: ubuntu-docs (Ubuntu Xenial)
no longer affects: ubuntu-docs (Ubuntu)
Changed in im-config (Ubuntu Yakkety):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Triaged → Fix Committed
Changed in im-config (Ubuntu Xenial):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → In Progress
Gunnar Hjalmarsson (gunnarhj) wrote :
description: updated

Hello 林博仁, or anyone else affected,

Accepted im-config into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/im-config/0.29-1ubuntu16.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Gunnar Hjalmarsson (gunnarhj) wrote :

I installed im-config 0.29-1ubuntu16.2 from yakkety-proposed and verified the test case.

tags: added: verification-done-yakkety
removed: verification-needed
Brian Murray (brian-murray) wrote :

I've sponsored this for Xenial.

Brian Murray (brian-murray) wrote :

Hello 林博仁, or anyone else affected,

Accepted im-config into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/im-config/0.29-1ubuntu12.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in im-config (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Gunnar Hjalmarsson (gunnarhj) wrote :

I installed im-config 0.29-1ubuntu12.4 from xenial-proposed and verified the test case.

Thanks Brian!

tags: added: verification-done-xenial
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package im-config - 0.29-1ubuntu12.4

---------------
im-config (0.29-1ubuntu12.4) xenial-proposed; urgency=medium

  * debian/patches/hime-qt5.patch:
    - Fix hime qt5 immodule (LP: #1655036).

 -- Gunnar Hjalmarsson <email address hidden> Fri, 03 Feb 2017 14:35:00 +0100

Changed in im-config (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for im-config has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package im-config - 0.29-1ubuntu16.2

---------------
im-config (0.29-1ubuntu16.2) yakkety-proposed; urgency=medium

  * debian/patches/hime-qt5.patch:
    - Fix hime qt5 immodule (LP: #1655036).

 -- Gunnar Hjalmarsson <email address hidden> Wed, 01 Feb 2017 00:07:00 +0100

Changed in im-config (Ubuntu Yakkety):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.